Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Trace Class Reference

`#include <Trace.h>`

Collaboration diagram for Trace:

[legend]
List of all members.

## Public Member Functions
void | setCurrentLine (const char *file, int line)
| The function adds a new entry to the list of passed trace points.
## Private Attributes
RingBuffer< Line, 10 > | buffer
| A buffer for the last 10 passed trace points.
## Friends
In & | operator>> (In &stream, Trace &trace)
| Streaming operator that reads a trace from a stream.
Out & | operator<< (Out &stream, const Trace &trace)
| Streaming operator that writes a robot pose to a stream.

## Member Function Documentation

void Trace::setCurrentLine | ( | const char * | file,
|  | int | line
| ) |

  | The function adds a new entry to the list of passed trace points. Parameters:
  file | The name of the source file a passed trace point is located in.
  line | The line a passed trace point is located in.
Definition at line 20 of file Trace.cpp. References RingBuffer< Line, 10 >::add().

Here is the call graph for this function:

## Friends And Related Function Documentation

In& operator>> | ( | In & | stream,
|  | Trace & | trace
| ) | `[friend]`

  | Streaming operator that reads a trace from a stream. Parameters:
  stream | The stream from which is read.
  currentLine | The trace.
Returns: The stream. Definition at line 25 of file Trace.cpp.

Out& operator<< | ( | Out & | stream,
|  | const Trace & | trace
| ) | `[friend]`

  | Streaming operator that writes a robot pose to a stream. Parameters:
  stream | The stream to write on.
  currentLine | The current line.
Returns: The stream. Definition at line 39 of file Trace.cpp.

## Member Data Documentation

RingBuffer<Line, 10> Trace::buffer`[private]`

| A buffer for the last 10 passed trace points. Definition at line 52 of file Trace.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Tools/Debugging/Trace.h
- Tools/Debugging/Trace.cpp